1. Symantec/
  2. Security Response/
  3. Attack Signatures/
  4. Attack: Mini-stream Ripper CVE-2009-5109

Attack: Mini-stream Ripper CVE-2009-5109

Severity: High

This attack could pose a serious security threat. You should take immediate action to stop any damage or prevent further damage from happening.

Description

This signature detects an attempt to exploit a buffer overflow vulnerability in Mini-stream Ripper application.

Additional Information

Mini-stream Ripper is a media player for the Windows operating system.

Mini-stream Ripper is prone to a remote buffer-overflow vulnerability because it fails to perform adequate checks on user-supplied input. Specifically, this issue occurs when opening a specially crafted '.pls' file.

Successfully exploiting this issue may allow remote attackers to execute arbitrary code in the context of the application. Failed attacks will cause denial-of-service conditions.

Affected

  • Mini-stream Ripper 3.0.1.1

Additional References

  • Twitter
  • Facebook
  • LinkedIn
  • Google+
  • YouTube